Relesys API Docs

v1.4

https://api.relesystest.net/api/v1.4

Points

List
GET /highscores/{highscoreId}/points
https://api.relesystest.net/api/v1.4/highscores/{highscoreId}/points
Get a list of all points given for the highscore with ID highscoreId.
Default sort is by creationDateTime in ascending order.

isManuallyGiven indicates whether a point entry has been manually given or not.
isActive indicates whether a point entry is given after the highscore's last time of point reset.
Scopes: relesys.api, relesys.api:read, relesys.api.highscores, relesys.api.highscores:read
URL Path
highscoreId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
isActive boolean Filterable optional
isManuallyGiven boolean Filterable optional
userId string / guid Filterable optional
value integer Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"87d6bdb2-9a63-4ed7-af16-fe2b983b195b","userId":"43f2a229-c495-4be4-9207-a791dc7088cf","creationDateTime":"2026-06-08T19:06:09.0347814+00:00","description":"Example description 1","isManuallyGiven":true,"isActive":false,"value":10},{"id":"74164c79-1b37-460c-b5ee-5ed3309f9c5e","userId":"f049dee6-3c6c-4d44-87b3-f2e842e3075e","creationDateTime":"2026-06-11T19:06:09.0347814+00:00","description":"Example description 2","isManuallyGiven":false,"isActive":true,"value":25}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   description string      
   id string / guid      
   isActive boolean      
   isManuallyGiven boolean      
   userId string / guid      
   value integer      
  nextUrl string      
  previousUrl string